Package org.apache.sysds.hops.codegen.template

# Enum Class TemplateBase.TemplateType

java.lang.Object
java.lang.Enum<TemplateBase.TemplateType>
org.apache.sysds.hops.codegen.template.TemplateBase.TemplateType

All Implemented Interfaces:
  `Serializable`, `Comparable<TemplateBase.TemplateType>`, `Constable`

Enclosing class:
  TemplateBase

public static enum TemplateBase.TemplateType extends Enum<TemplateBase.TemplateType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CELL`
`MAGG`
`OUTER`
`ROW`

## Method Summary

Modifier and Type
Method
Description
`int`
`getRank()`
`boolean`
`isIn(TemplateBase.TemplateType... types)`
`static TemplateBase.TemplateType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TemplateBase.TemplateType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MAGG

public static final TemplateBase.TemplateType MAGG

### OUTER

public static final TemplateBase.TemplateType OUTER

### ROW

public static final TemplateBase.TemplateType ROW

### CELL

public static final TemplateBase.TemplateType CELL

## Method Details

### values

public static TemplateBase.TemplateType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TemplateBase.TemplateType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getRank

public int getRank()

### isIn

public boolean isIn(TemplateBase.TemplateType... types)